## org.jfree.report.i18n
Interface ResourceBundleFactory

All Superinterfaces:
  java.io.Serializable

All Known Implementing Classes:
  DefaultResourceBundleFactory

    public interface ResourceBundleFactory

extends java.io.Serializable

A resource bundle factory defines the locale for a report and is used to create resourcebundles.

Author:
  Thomas Morgner

Field Summary
`static java.lang.String` `DEFAULT_RESOURCE_BUNDLE_CONFIG_KEY`

Method Summary
`java.util.ResourceBundle` `getResourceBundle(java.util.Locale locale, java.lang.String key)` Creates a resource bundle for the given key.

Field Detail

### DEFAULT_RESOURCE_BUNDLE_CONFIG_KEY

    static final java.lang.String DEFAULT_RESOURCE_BUNDLE_CONFIG_KEY

See Also:
  Constant Field Values

Method Detail

### getResourceBundle

    java.util.ResourceBundle getResourceBundle(java.util.Locale locale,
                                               java.lang.String key)

  Creates a resource bundle for the given key. How that key is interpreted depends on the used concrete implementation of this interface.

  Parameters:
    `key` - the key that identifies the resource bundle
  Returns:
    the created resource bundle
  Throws:
    `java.util.MissingResourceException` - if no resource bundle for the specified base name can be found